package de.hszg.fei.textviewBeispiel;

import java.util.Random;

import de.hszg.fei.textviewBeispiel.R;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class ActivityB9 extends Activity
                        implements View.OnClickListener {
	
    private Button newNumber;
    private Button plusPrecision;
    private Button minusPrecision;
    private NumberView numberView;
    private Random wuerfel;
    
	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        this.newNumber = (Button)findViewById(R.id.newNumber);
        this.plusPrecision = (Button)findViewById(R.id.plusPrecision);
        this.minusPrecision = (Button)findViewById(R.id.minusPrecision);
        
        this.newNumber.setOnClickListener(this);
        this.plusPrecision.setOnClickListener(this);
        this.minusPrecision.setOnClickListener(this);
        
        this.numberView = (NumberView)findViewById(R.id.numberView);
        
        this.wuerfel = new Random();
    }
    
    public void onClick(View view) {
    	double d;
    	
    	if ( view == this.newNumber ) {
    		d = wuerfel.nextDouble();
    		this.numberView.setDouble(d);
    	}
    	else if ( view == this.plusPrecision ) {
    		this.numberView.setPrecision(this.numberView.getPrecision()+1);
    	}
    	else if ( view == this.minusPrecision ) {
    		this.numberView.setPrecision(this.numberView.getPrecision()-1);
    	}
    }
}